'use strict';


const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class LiveroomService extends CrudService {
  constructor(ctx) {
    super(ctx, 'liveroom');
    this.model = this.ctx.model.Liveroom;
  }
  async create(data) {
    const { subid, teacherid } = data;
    assert(subid, '缺少科目信息');
    assert(teacherid, '缺少教师信息');
    const list = await this.model.find();
    const last = _.last(list);
    let number = '000001';
    if (last) {
      number = last.number * 1 + 1;
    }
    data.number = number;
    const res = await this.model.create(data);
    return res;
  }

}

module.exports = LiveroomService;
